package uoc.ei.exemples.modul1;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class Fibonacci {

	protected static Nat crearNat() {
		return new NatbImpl();	// o b NatbImpl()
	}

	public static void mostraNumeros(int n) {
		Nat fibN=crearNat();	// f[0] = 0
		Nat fibN2=crearNat();	// f[1] = 0
		Nat fibN3=crearNat();
		fibN3.succ();			// f[2] = 1
		int i=0;
		while (i<n) {
			fibN=fibN2;
			fibN2=fibN3;
			fibN3=crearNat();
			fibN3.sumarQuantitat(fibN);
			fibN3.sumarQuantitat(fibN2);
			i++;
		}
		System.out.println("El nmero s: "+fibN);
	}

	public static void main(String[] args) {
		if (args.length!=1)
			System.out.println("Has de proporcionar un nic parmetre!");
		else {
			try {
				int n=Integer.parseInt(args[0]);
				mostraNumeros(n);
			} catch (NumberFormatException e) {
				System.out.println("El parmetre ha de ser un enter!");
			}
		}
	}

}
