package uoc.ei.exemples.modul1;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class Figura1 {

	/** Crea una instncia d'alguna implementaci de Nat.
	 * En el moment en que apareix la figura 1 en el text
	 * encara no s'ha vist cap implementaci de Nat. Aqu
	 * es fa servir NatiImpl.
	 * @return Una instncia de Nat
	 */
	private static Nat crearNat() {
		return new NatiImpl();
	}

	/** Crea una instncia de Nat, crida algun dels seus
	 * mtodes i finalment l'imprimeix per la sortida
	 * estndar.
	 */
	public static void main(String[] args) {
		Nat n=crearNat();
		n.succ();
		n.pred();
		System.out.println(n);
	}

}
