package uoc.ei.exemples.modul3.cua;

/** Operacio que es correspon a la suma de dos nombres enters.
 * De moment s l'nic tipus d'operaci implementada.
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */

public class Suma extends Operacio {

	long op1,op2;

	public Suma(long op1,long op2) {
		super();
		this.op1=op1;
		this.op2=op2;
	}


	public String calcular() {
		long resultat=op1+op2;
		return Long.toString(resultat);
	}


	public String toString() {
		return op1+" + "+op2;
	}

}
