
package uoc.ei.exemples.modul3.pila;

import java.io.IOException;
import java.io.InputStream;

import uoc.ei.tads.Utilitats;

/** Aquesta classe proporciona un programa de prova semblant a
 * ProvaConjunt vist al mdul 1, per per a la classe Document
 * definida per a aquest package.
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class ProvaDocument {

	public static void main(String[] args) {
		System.out.println("Introdueix cadenes de text (pgines) a afegir al conjunt");
		boolean sortir=false;
		Document document=new Document(10);
		while (!sortir) {
			try {
				String text=Utilitats.llegirString("Introdueix una cadena de text (o \"fi\" per acabar): ",System.in);
				sortir=text.equalsIgnoreCase("fi");
				if (!sortir) {
					Pagina p=new Pagina();
					p.setText(text+"\n");
					document.afegir(p);
					if (document.estaPle()) {
						System.out.println("El document est ple. No s'hi poden afegir ms pgines.");
						sortir=true;
					}
				}
			} catch (IOException e) {
				System.out.println("Problema amb l'entrada, avortant el programa");
				sortir=true;
			}
		}
		System.out.println("El document capgirat s: ");
		document.imprimir(true);
	}

}
