package uoc.ei.exemples.modul3.referencia;

import java.io.IOException;

import uoc.ei.tads.Utilitats;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class Primers {


	/**
	 * @param n
	 * @return Retorna true si n s primer i false en cas
	 * contrari.
	 */

	static boolean esPrimer(long n) {
		boolean trobat=false;
		int i=2;
		while (i*i<=n && !trobat) {
			trobat= (n % i) == 0;
			i++;
		}
		return !trobat;
	}


	/** Llegeix un enter de l'entrada estndar i imprimeix
	 * per la sortida estndar els nombres primers inferiors
	 * o igual a aquest enter.
	 * @param args
	 */
	public static void main(String[] args) {
		String str;
		long maxim;
		try {
			str=Utilitats.llegirString("Introdueix un nombre enter: ",System.in);
			try {
				maxim=Long.parseLong(str);
				for(int i=2;i<maxim;i++)
					if (esPrimer(i))
						System.out.print(i+" ");
			} catch (NumberFormatException e) {
				System.out.println("La cadena introduda no s un nombre enter: "+str);
				System.out.println("Torna a executar el programa");
			}
		} catch (IOException e) {
			System.out.println("Problema amb l'entrada, avortant el programa");
		}
	}

}
