package uoc.ei.exemples.modul4;

import uoc.ei.tads.ArbreBinariEncadenatImpl;
import uoc.ei.tads.Posicio;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class ArbreDeVersions extends ArbreBinariEncadenatImpl<String> {


	public String versioIncompatible() {
		String resultat="XX";
		Posicio<String> p=arrel();
		Posicio<String> f=fillDret(p);
		while (f!=null) {
			p=f;
			f=fillDret(p);
		}
		f=fillEsquerre(p);
		if (f!=null)
			resultat=f.getElem();
		return resultat;
	}


	public static void popularArbreExemple(ArbreDeVersions arbre) {
		Posicio<String> v10=arbre.afegir(null,"1.0");
		Posicio<String> v11=arbre.afegirFillEsquerre(v10,"1.1");
		arbre.afegirFillEsquerre(v11,"1.2");
		Posicio<String> v20=arbre.afegirFillDret(v10,"2.0");
		Posicio<String> v21=arbre.afegirFillEsquerre(v20,"2.1");
		arbre.afegirFillDret(v20,"3.0");
		arbre.afegirFillDret(v21,"4.0");
	}


	public static void main(String[] args) {
		ArbreDeVersions arbre=new ArbreDeVersions();
		popularArbreExemple(arbre);
		String versioIncompatible=arbre.versioIncompatible();
		System.out.println("Primera versi incompatible: "+versioIncompatible);
	}

}



