package uoc.ei.exemples.modul4.recorreguts.preordre;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class Tasca {

	private String nom;
	private double recursosPercentatge;
	private double recursosAbsoluts;


	public Tasca(String nom,double recursosPercentatge) {
		this.nom=nom;
		this.recursosPercentatge=recursosPercentatge;
		recursosAbsoluts=-1;
	}


	public String getNom() { return nom; }
	public double getRecursosPercentatge() { return recursosPercentatge; }
	public double getRecursosAbsoluts() { return recursosAbsoluts; }
	public void setRecursosAbsoluts(double recursosAbsoluts) { this.recursosAbsoluts=recursosAbsoluts; }

	public String toString() {
		return "["+nom+",P:"+recursosPercentatge+
			(recursosAbsoluts==-1 ? "]"
					: ",A:"+recursosAbsoluts+"]");
	}

}
