package uoc.ei.exemples.modul8.academia;

import uoc.ei.tads.Iterador;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public interface AcademiaElectricitat {

	void afegirAlumne(String alumne);
	void matricular(String alumne,String assignatura) throws ExcepcioPrerequisitNoSatisfet;
	void assignaturaAprovada(String alumne,String assignatura,double qualificacio);
	void imparteixAssignatura(String professor,String assignatura);
	Iterador<? extends Nota> expedientAcademic(String alumne);
	double carregaDocent(String professor);

}
