package uoc.ei.exemples.modul8.academia;

import uoc.ei.tads.grafs.*;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class AssignaturaAprovada implements Nota {

	private Vertex<Assignatura> assignatura;
	private double qualificacio;


	public AssignaturaAprovada(Vertex<Assignatura> assignatura,double qualificacio) {
		this.assignatura=assignatura;
		this.qualificacio=qualificacio;
	}


	public Vertex<Assignatura> getVertexAssignatura() { return assignatura; }
	public Assignatura getAssignatura() { return assignatura.getValor(); }
	public double getQualificacio() { return qualificacio; }

	public String toString() { return "["+assignatura+","+qualificacio+"]"; }

}
