package uoc.ei.exercicis.modul5.exercici3;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
final public class DocumentAmbPrioritat implements Comparable<DocumentAmbPrioritat> {

	private Document document;
	private int prioritat;
	private int identificador;

	 DocumentAmbPrioritat(Document doc, int prior, int id) {
	  setDocument(doc);
	  setPrioritat(prior);
	  setIdentificador(id);
	 }

	 private void setDocument(Document doc) {
	  document = doc;
	 }

	 private void setPrioritat(int prior) {
	  prioritat = prior;
	 }

	 private void setIdentificador(int id) {
	  identificador = id;
	 }

	 public Document getDocument() {
	  return(document);
	 }

	 public int getPrioritat() {
	  return(prioritat);
	 }

	 public int getIdentificador() {
	  return(identificador);
	 }

	 public int compareTo(DocumentAmbPrioritat doc2) {
		 if (getPrioritat() < doc2.getPrioritat()) return(-1);
		 else {
			 if (getPrioritat() > doc2.getPrioritat()) return(1);
			 else return(0);
		 }
	 }
}
