package uoc.ei.exercicis.modul6.exercici11;

import uoc.ei.tads.*;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class RepositoriURLImpl implements RepositoriURL {

	private Conjunt<String> repositori;


	public RepositoriURLImpl() {
		repositori=new ConjuntAVLImpl<String>();
	}


	public void afegir(String url) { repositori.afegir(url); }
	public boolean hiEs(String url) { return repositori.hiEs(url); }
	public boolean esborrar(String url) { return repositori.esborrar(url)!=null; }
	public Iterador<String> elements() { return repositori.elements(); }

}
