package uoc.ei.exercicis.modul6.exercici12;

import uoc.ei.tads.*;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class Alumne {

	private String dni;
	private String nom;
	private String primerCognom;
	private String segonCognom;
	private String adrecaPostal;
	private String adrecaElectronica;
	private String edat;
	private Llista<Assignatura> assignatures;

	public Alumne(String dni,String nom,String primerCognom,String segonCognom) {
		this.dni=dni;
		this.nom=nom;
		this.primerCognom=primerCognom;
		this.segonCognom=segonCognom;
		assignatures=new LlistaEncadenada<Assignatura>();
	}


	public void setAdrecaPostal(String adrecaPostal) { this.adrecaPostal=adrecaPostal; }
	public void setAdrecaElectronica(String adrecaElectronica) { this.adrecaElectronica=adrecaElectronica; }
	public void setEdat(String edat) { this.edat=edat; }

	public String getDNI() { return dni; }
	public String getNom() { return nom; }
	public String getPrimerCognom() { return primerCognom; }
	public String getSegonCognom() { return segonCognom; }
	public String getAdrecaPostal() { return adrecaPostal; }
	public String getAdrecaElectronica() { return adrecaElectronica; }
	public String getEdat() { return edat; }

	void afegirAssignatura(Assignatura assignatura) {
		assignatures.afegirAlFinal(assignatura);
	}

	Iterador<Assignatura> assignatures() { return assignatures.elements(); }

}
