package uoc.ei.exercicis.modul6.exercici12;

import uoc.ei.tads.Iterador;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class ProvaCursAcademic {


	protected static void mostrarAssignatures(CursAcademic curs,String dniAlumne) {
		System.out.println("L'alumne amb DNI "+dniAlumne+" ha matriculat les assignatures: ");
		Iterador<Assignatura> assigs=curs.assignatures(dniAlumne);
		while (assigs.hiHaSeguent()) {
			System.out.print(assigs.seguent());
			if (assigs.hiHaSeguent())
				System.out.print(", ");
		}
		System.out.println();
	}


	public static void main(String[] args) {
		CursAcademic curs=new CursAcademicImpl();
		curs.novaAssignatura(new Assignatura(301,"Estadstica",9));
		curs.novaAssignatura(new Assignatura(302,"Anlisi Matemtica",6));
		curs.novaAssignatura(new Assignatura(303,"Sistemes Operatius",6));
		curs.novaAssignatura(new Assignatura(304,"Estructura de la Informaci",6));
		curs.novaAssignatura(new Assignatura(305,"Angls III",4.5));
		curs.nouAlumne(new Alumne("33333333","Joan","Prez","Mir"));
		curs.nouAlumne(new Alumne("20761234","Anna","Estrada","Gimper"));
		curs.nouAlumne(new Alumne("57980110","Mariona","Gombren","Josafat"));
		curs.matricular("33333333",301);
		curs.matricular("33333333",302);
		curs.matricular("33333333",303);
		curs.matricular("33333333",304);
		curs.matricular("33333333",305);
		curs.matricular("20761234",303);
		curs.matricular("20761234",305);
		curs.matricular("57980110",301);
		mostrarAssignatures(curs,"33333333");
		mostrarAssignatures(curs,"20761234");
		mostrarAssignatures(curs,"57980110");
	}

}
