package uoc.ei.tads;
/**
 * Interfcie que exten contenidor afegint les operacions necessries per
 * als contenidors afitats. Aquesta interfcie ha de ser implementada per
 * totes les implementacions de contenidors que sn afitades.
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public interface ContenidorAfitat<E> extends Contenidor<E>
{
   /**
    * Comprova si el contenidor est ple.
    * @return  cert si el contenidor est ple
    */
   public boolean estaPle();

}
