package uoc.ei.tads;


/** Implementaci de recorregut sobre un vector.
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class RecorregutVectorImpl<E> implements Recorregut<E> {
	
	private IteradorVectorImpl<Posicio<E>> iterador;
	
	public RecorregutVectorImpl(Posicio<E>[] elements,int nombreElements,int primer) {
		iterador=new IteradorVectorImpl<Posicio<E>>(elements,nombreElements,primer);
	}

	public boolean hiHaSeguent() {
		return iterador.hiHaSeguent();
	}

	public Posicio<E> seguent() throws ExcepcioPosicioInvalida {
		return iterador.seguent();
	}

}
