package uoc.ei.tads.grafs;

/**
 * AristaDirigida.java
 * Artista de un grafo dirigido).
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public interface ArestaDirigida<TEtiqueta,TElem> extends Aresta<TEtiqueta,TElem> {

  /**
   * @pre true
   * @post @return!=null
   */
  public Vertex<TElem> getVertexOrigen();

  /**
   * @pre true
   * @post  @return!=null
   */
  public Vertex<TElem> getVertexDesti();

}
