package uoc.ei.tads.tests;

import uoc.ei.tads.Diccionari;
import uoc.ei.tads.TaulaDispersio;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class TestDiccionariDispersio extends TestDiccionari {


	protected Diccionari<Integer,Integer> crearContenidor() {
		return new TaulaDispersio<Integer,Integer>(MIDA_MOLTES_OPS);
	}


	public void testDiccionariBuit() { super.testDiccionariBuit(); }
	public void testOrdre() { super.testOrdre(); }
	public void testOrdreRepetits() { super.testOrdreRepetits(); }
	public void testOmplirBuidar() { super.testOmplirBuidar(); }
	public void testAleatoriRangGran() { super.testAleatoriRangGran(); }
	public void testAleatoriRangPetit() { super.testAleatoriRangPetit(); }

}
