package uoc.ei.exemples.modul1;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class NatiImpl implements Nat {

	/** Aquesta classe representa el natural mitjanant
	 * un atribut enter.
	 */
	private int nat;

	/** Crea una instncia de Nat amb valor 0.
	 * @post nat==0
	 */
	public NatiImpl() { nat=0; }

	public void succ() { nat++;	}
	public void pred() { nat--;	}
	public void sumarQuantitat(Nat y) { nat+=y.consultar(); }

	/**
	 * @pre true
	 * @post nat==inicial(nat)
	 * @return nat
	 */
	public int consultar() { return nat; }

	/** Retorna una representaci en format text del
	 * natural.
	 * @pre true
	 * @post nat==inicial(nat)
	 */
	public String toString() {
		return Integer.toString(consultar());
	}

}
