package uoc.ei.exemples.modul1.defensiu;

/** Versi defensiva de NatiImpl.
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */

public class NatiDefensiuImpl implements NatDefensiu {

	private int nat;

	public NatiDefensiuImpl() { nat=0; }

	public void pred() throws ExcepcioNat {
		if (nat==0)
                throw new ExcepcioNat("No existeix el predecessor de 0");
            nat--;
	}

	public void succ() { nat++;	}
	public void sumarQuantitat(NatDefensiu y) { nat+=y.consultar(); }

	/**
	 * @pre true
	 * @post nat==inicial(nat)
	 * @return nat
	 */
	public int consultar() { return nat; }

	/** Retorna una representaci en format text del
	 * natural.
	 * @pre true
	 * @post nat==inicial(nat)
	 */
	public String toString() {
		return Integer.toString(consultar());
	}

}
