package uoc.ei.exemples.modul2;

import uoc.ei.exemples.modul1.generics.*;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class Jugador {

	private String nom;
	private Conjunt<Integer> cartro;


	public Jugador(String nom) {
		this.nom=nom;
	}


	public void setCartro(Conjunt<Integer> cartro) {
		this.cartro=cartro;
		System.out.println(this.toString());
	}


	public void notificaNumeroCantat(int numero) {
		Integer elementEsborrat=cartro.esborrar(numero);
		if (elementEsborrat!=null)
			System.out.println("("+nom+" el tatxa)");
	}


	public boolean cartroComplet() {
		return cartro.estaBuit();
	}


	public String getNom() { return nom; }


	public String toString() {
		return nom+": "+(cartro==null ? "cartro no inicialitzat" : cartro.toString());
	}

}
