package uoc.ei.exemples.modul4;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class ExemplesRecursivitat {


	public static boolean esParell(int n) {
		boolean res;
		if (n==0)
			res=true;
		else {
			// (**) crida recursiva
			res=esParell(n-1);
			res=!res;
			// (**) cclu resultat a partir de crida recursiva
		}
		return res;
	}


	public static int mcd(int x, int y) {
		int res;
		if (x==y)
			res=x;
		else {
			if (x>y)
				res=mcd(x-y,y);
			else
				res=mcd(y-x,x);
		}
		// res s el maxim com divisor de x i y
		return res;
	}


	public static void main(String[] args) {
		// execuci de esParell corresponent a la que podeu
		// trobar al material escrit
		System.out.print("Exemple 1: ");
		if (esParell(2))
			System.out.println("El 2 s parell");
		else
			System.out.println("El 2 no s parell");
		// exemple d's de mcd
		System.out.print("Exemple 2: ");
		System.out.println("El maxim com divisor de 1035 i 375 s: "+mcd(1035,375));
	}

}
