package uoc.ei.exemples.modul4.fitxers;

import uoc.ei.tads.Posicio;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public abstract class EntradaSF {

	private String nom;
	private Posicio<EntradaSF> pare;

	public EntradaSF(String nom,Posicio<EntradaSF> pare) {
		this.nom=nom;
		this.pare=pare;
	}

	public String getNom() { return nom; }
	public void setNom(String nom) { this.nom=nom; }
	public Posicio<EntradaSF> getPare() { return pare; }
	public abstract boolean esDirectori();

	public String toString() { return nom; }

}
