package uoc.ei.exemples.modul5;

import uoc.ei.tads.algorismes.*;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class ProvaAlgorismesOrdenacio {

	protected static void mostrarVector(String str,Integer[] vector) {
		System.out.println(str);
		for(int i=0;i<vector.length;i++) {
			System.out.print(vector[i]);
			if (i<vector.length-1) System.out.print(", ");
		}
		System.out.println();
	}

	public static void main(String[] args) {
		AlgorismeOrdenacio<Integer> mergeSort=new MergeSort<Integer>();
		AlgorismeOrdenacio<Integer> heapSortCua=new HeapSort<Integer>();
		AlgorismeOrdenacio<Integer> heapSort=new HeapSortSenseCua<Integer>();
		Integer[] vector1={40, 7, 18, 45, 24, 87, 90, 23, 41, 8, 9, 65, 23, 56, 70};
		Integer[] vector2={40, 7, 18, 45, 24, 87, 90, 23, 41, 8, 9, 65, 23, 56, 70};
		Integer[] vector3={40, 7, 18, 45, 24, 87, 90, 23, 41, 8, 9, 65, 23, 56, 70};
		mostrarVector("El vector original: ",vector1);
		mergeSort.ordenar(vector1,15);
		heapSortCua.ordenar(vector2,15);
		heapSort.ordenar(vector3,15);
		mostrarVector("El vector ordenat amb merge sort s: ",vector1);
		mostrarVector("El vector ordenat amb heap sort (amb cua) s: ",vector2);
		mostrarVector("El vector ordenat amb heap sort (sense cua) s: ",vector3);
	}

}
