package uoc.ei.exemples.modul5;

import uoc.ei.tads.*;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class UsCuaPrioritat {


	public static void main(String[] args) {
		CuaAmbPrioritat<Integer> cP=new CuaAmbPrioritat<Integer>();
		Integer e;
		cP.encuar(new Integer(5));
		cP.encuar(3); 	// Degut a l'autoboxing t el mateix efecte que encuar l'Integer(3)
		cP.encuar(4);
		cP.encuar(1);
		cP.encuar(2);
		// El contingut de la cua desprs de les insercions anteriors
		// es: 1, 2, 3, 4, 5
		if (!cP.estaBuit()) {
			e = cP.desencuar();
			System.out.println(e); // Mostra 1
		}
		// El El contingut de la cua desprs de la
		// supressi anterior s: 2, 3, 4, 5
		e = cP.primer();
		System.out.println(e);  // Mostra 2
		while (!cP.estaBuit())
			System.out.print(cP.desencuar()+", ");
		// Mostra 2, 3, 4, 5
	}

}
