package uoc.ei.exemples.modul6;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class PropietatsSimbol {

	public enum Categoria { PROGRAM, PROC, PARAM, VAR }
	public enum Tipus { NO_DEFINIT, BOOLEAN, INT, REAL, CHAR }

	private Categoria categoria;
	private Tipus tipus;
	private int dimensio;
	private int bloc;


	public PropietatsSimbol(int bloc,Categoria categoria,int dimensio) {
		this.bloc=bloc;
		this.categoria=categoria;
		this.tipus=Tipus.NO_DEFINIT;
		this.dimensio=dimensio;
	}

	public PropietatsSimbol(int bloc,Categoria categoria,Tipus tipus,int dimensio) {
		this.bloc=bloc;
		this.categoria=categoria;
		this.tipus=tipus;
		this.dimensio=dimensio;
	}


	public int getBloc() { return bloc; }
	public Categoria getCategoria() { return categoria; }
	public Tipus getTipus() { return tipus; }
	public int getDimensio() { return dimensio; }

	public String toString() {
		StringBuffer sb=new StringBuffer();
		sb.append("[CAT:"+categoria);
		sb.append(",T:"+tipus);
		sb.append(",DIM:"+dimensio);
		sb.append(",BLOC:"+bloc+"]");
		return sb.toString();
	}

}
