package uoc.ei.exemples.modul6;

import uoc.ei.exemples.modul6.PropietatsSimbol.Categoria;
import uoc.ei.exemples.modul6.PropietatsSimbol.Tipus;


/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class ProvaTaulaSimbols {


	public TaulaSimbols creaTaulaSimbols() {
		return new TaulaSimbolsImpl();
	}


	public void test() {
		TaulaSimbols ts=creaTaulaSimbols();
		ts.declara("P",Categoria.PROGRAM,Tipus.NO_DEFINIT, 10230);
		ts.declara("a",Categoria.VAR,Tipus.INT, 1024);
		ts.declara("b",Categoria.VAR,Tipus.INT, 1026);
		ts.declara("Q",Categoria.PROC,Tipus.NO_DEFINIT, 10500);
		ts.entra();
		ts.declara("c",Categoria.PARAM,Tipus.INT, 1028);
		ts.declara("a",Categoria.VAR,Tipus.REAL, 1030);
		ts.declara("d",Categoria.VAR,Tipus.REAL, 1032);
		System.out.println("smbol a: "+ts.consulta("a"));
		System.out.println("smbol b: "+ts.consulta("b"));
		System.out.println("smbol c: "+ts.consulta("c"));
		System.out.println("smbol d: "+ts.consulta("d"));
		System.out.println("smbol P: "+ts.consulta("P"));
		System.out.println("smbol Q: "+ts.consulta("Q"));
		ts.surt();
		System.out.println("smbol a: "+ts.consulta("a"));
		System.out.println("smbol b: "+ts.consulta("b"));
		System.out.println("smbol c: "+ts.consulta("c"));
		System.out.println("smbol d: "+ts.consulta("d"));
		System.out.println("smbol P: "+ts.consulta("P"));
		System.out.println("smbol Q: "+ts.consulta("Q"));
	}


	public static void main(String[] args) {
		ProvaTaulaSimbols prova=new ProvaTaulaSimbols();
		prova.test();
	}

}
