package uoc.ei.exercicis.modul4;

import uoc.ei.exemples.modul4.recorreguts.*;
import uoc.ei.exemples.modul4.recorreguts.nivells.*;
import uoc.ei.exemples.modul4.recorreguts.preordre.Tasca;
import uoc.ei.tads.*;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class Exercici3<E> extends RecorregutsArbre<E> {

		public void inordre(Arbre<E> arbre) {
			if (!arbre.estaBuit())
				inordre(arbre,arbre.arrel());
		}


		public void inordre(Arbre<E> arbre,Posicio<E> p) {
			Recorregut<E> fills=arbre.fills(p);
			if (fills.hiHaSeguent())
				inordre(arbre,fills.seguent());
			tractarPosicio(p);
			while (fills.hiHaSeguent()) {
				Posicio<E> fill=fills.seguent();
				inordre(arbre,fill);
			}
		}


	public static void main(String[] args) {
		Exercici3<Empleat> exercici3=new Exercici3<Empleat>();
		// Fem servir com a exemple l'arbre d'exemple del recorregut per nivells
		Departament arbre=new Departament();
		Departament.popularArbreExemple(arbre);
		exercici3.inordre(arbre);
	}

}
