package uoc.ei.exercicis.modul4;

import uoc.ei.exemples.modul4.recorreguts.postordre.*;
import uoc.ei.tads.*;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class Exercici4 {


	protected static class ExpresioImprimible extends Expresio {

		public String toString() {
			return toString(arrel());
		}


		protected String toString(Posicio<ElementExpressio> subexpresio) {
			String res;
			if (esFulla(subexpresio))
				res=subexpresio.getElem().toString();
			else
				res="("+toString(fillEsquerre(subexpresio))+subexpresio.getElem()+toString(fillDret(subexpresio))+")";
			return res;
		}
	}


	public static void main(String[] args) {
		Expresio expresio=new ExpresioImprimible();
		Expresio.popularArbreExemple(expresio);
		System.out.println("L'expressi s: "+expresio);
		double resultat=expresio.avaluar();
		System.out.println("El resultat d'avaluar l'expressi s: "+resultat);
	}

}
