package uoc.ei.exercicis.modul6.exercici12;

import uoc.ei.tads.Iterador;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class CursAcademicImpl implements CursAcademic {

	TaulaAlumnes alumnes;
	TaulaAssignatures assignatures;


	public CursAcademicImpl() {
		alumnes=new TaulaAlumnes();
		assignatures=new TaulaAssignatures();
	}


	public void nouAlumne(Alumne alumne) {
		alumnes.afegir(alumne.getDNI(),alumne);
	}


	public void novaAssignatura(Assignatura assignatura) {
		assignatures.afegir(assignatura.getCodi(),assignatura);
	}


	public void matricular(String dniAlumne,int codiAssignatura) {
		Alumne alumne=alumnes.consultar(dniAlumne);
		Assignatura assignatura=assignatures.consultar(codiAssignatura);
		alumne.afegirAssignatura(assignatura);
	}


	public Iterador<Assignatura> assignatures(String dniAlumne) {
		Alumne alumne=alumnes.consultar(dniAlumne);
		return alumne.assignatures();
	}

}
