package uoc.ei.exercicis.modul9.exercici1;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class ProvaExpedient {

	private Expedient expedient;


	public ProvaExpedient() {
		expedient=new ExpedientImpl();
	}


	public void introduirNota(String alumne,double credits,double nota) {
		expedient.novaNota(alumne,credits,nota);
		System.out.println("Nova nota per l'alumne "+alumne+" "+nota+" ("+credits+" credits)");
		System.out.println("La nota mitja de l'alumne "+alumne+" es "+expedient.notaMitja(alumne));
		System.out.println("L'alumne amb millor nota mitja s: "+expedient.alumneAmbMillorExpedient());
	}


	public static void main(String args[]) {
		ProvaExpedient prova=new ProvaExpedient();
		prova.introduirNota("Josep",4.5,5);
		prova.introduirNota("Pere",6,8);
		prova.introduirNota("Joan",4.5,7);
		prova.introduirNota("Miquel",3,10);
		prova.introduirNota("Miquel",6,5);
		prova.introduirNota("Pere",4.5,5);
		prova.introduirNota("Joan",3,9);
		prova.introduirNota("Pere",4.5,9);
		prova.introduirNota("Joan",6,5);
	}

}
