package uoc.ei.tads;
/**
 * Classe que implementa l'excepci que es genera quan es vol inserir un
 * element en un contenidor (afitat) que est ple.
 *
 * s una extensi de les excepcions en temps d'execuci gestionades pel
 * propi compilador.
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class ExcepcioContenidorPle  extends ExcepcioTADs
{
   /** Atribut que en Java 1.5 determina la compatibilitat entre objectes
    * serialitzables de la mateixa classe. L'deitificador es calcula
    * mitjanant un mtode de la classe Utilitats. */
   private static final long serialVersionUID = Utilitats.getSerialVersionUID();
	
	
   /** Constructor sense parmetres. */
   public ExcepcioContenidorPle() { super(); }

   /**
    * Constructor amb un parmetre.
    * @param missatge  missatge amb l'error que ha generat l'excepci
    */
   public ExcepcioContenidorPle(String missatge) { super(missatge); }
}
