package uoc.ei.tads.grafs;

/**
 * Vertice.java
 * Vértice (nodo) de un grafo.
 *
 * @author  Jordi Àlvarez Canal
 * @author  Esteve Mariné Gallisà.
 *          Estructura de la Informació,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public interface Vertex<TElem> extends java.io.Serializable {

  /**
   * Obtiene el objeto con información asociada al Vertice.
   * @pre true
   * @post true
   */
  public TElem getValor();

}
