package uoc.ei.tads.tests;

import uoc.ei.tads.grafs.Aresta;
import uoc.ei.tads.grafs.Graf;
import uoc.ei.tads.grafs.GrafNoDirigit;
import uoc.ei.tads.grafs.GrafNoDirigitImpl;
import uoc.ei.tads.grafs.Vertex;

/**
 *
 * @author  Jordi lvarez Canal
 * @author  Esteve Marin Gallis.
 *          Estructura de la Informaci,
 *          Universitat Oberta de Catalunya (UOC)
 * @version  2.0.0
 * @since  1.5
 */
public class TestGrafNoDirigit extends TestGraf {

	protected Graf<Character,Integer> crearGraf() {
		return new GrafNoDirigitImpl<Character,Integer>();
	}


	@Override
	protected Aresta<Integer, Character> crearAresta(
			Graf<Character, Integer> graf, Vertex<Character> v1,
			Vertex<Character> v2) {
		return ((GrafNoDirigit<Character,Integer>)graf).crearAresta(v1, v2);
	}


	@Override
	protected Aresta<Integer, Character> obtenirAresta(
			Graf<Character, Integer> graf, Vertex<Character> v1,
			Vertex<Character> v2) {
		return ((GrafNoDirigit<Character,Integer>)graf).obtenirAresta(v1, v2);
	}


	public void testCrearGrafABC() { super.testCrearGrafABC(); }
	public void testAdjacents() { super.testAdjacents(); }
	public void testVertexs() { super.testVertexs(); }
	public void testArestes() { super.testArestes(); }
	public void testObtenirAresta() { super.testObtenirAresta(); }
	public void testEliminarVertex() { super.testEliminarVertex(); }
	public void testEliminarAresta() { super.testEliminarAresta(); }


}
